Subject: Re: sh problem
From: Bob McGowan <[email-masked]>
To: Noel L Yap <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Jul 2000 14:46:39 -0700

I don't understand the problem your having.

It doesn't matter, in the example your using now, whether or not you use
command line arguments or not, the script recurses infinitely (at least
for me), so long as the file is in the current directory, of course.  In
fact, this script works too:

#!/bin/sh
echo      # could add any old string here to see the output
./asdf.sh

The output is a series of blank lines, but at least initially you should
see the last prompt and the command scrolling up and off the top of the
window.

I tried your original script, as well, and could not get it to duplicate
as you described.

What am I missing?

Noel L Yap wrote:
> 
> Yeah, I actually had:
> #!/bin/sh
> echo $*
> ./asdf.sh "$@"
> 
> Noel
> 
> [email-masked] on 2000.07.28 16:28:57
> 
> To:   [email-masked]
> cc:
> Subject:  Re: sh problem
> 
> Noel L Yap wrote:
> 
> > I've
> > rewritten my script asdf.sh to be:
> >
> > #!/bin/sh
> > echo $*
> > ./asdf.sh
> 
> Don't you want --
> 
> #!/bin/sh
> echo $*
> ./asdf.sh $*
> 
> -- if you are expecting an infinite loop.  As it is in fact written, the output
> looks just as I would expect to
> .
> --
> 
> ray
> 
>     -- je suis marxiste, tendance groucho
> 
> This communication is for informational purposes only.  It is not intended as
> an offer or solicitation for the purchase or sale of any financial instrument
> or as an official confirmation of any transaction. All market prices, data
> and other information are not warranted as to completeness or accuracy and
> are subject to change without notice. Any comments or statements made herein
> do not necessarily reflect those of J.P. Morgan & Co. Incorporated, its
> subsidiaries and affiliates.
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]